rules:
  # Bronze
  action-setup:
    status: exempt
    comment: |
      The integration does not provide any additional actions.
  appropriate-polling:
    status: exempt
    comment: |
      The integration does not poll.
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions:
    status: exempt
    comment: |
      The integration does not provide any additional actions.
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup: done
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure:
    status: exempt
    comment: |
      The integration relies solely on auto-discovery.
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions:
    status: exempt
    comment: |
      The integration does not provide any additional actions.
  config-entry-unloading: done
  docs-configuration-parameters:
    status: exempt
    comment: No options flow.
  docs-installation-parameters:
    status: exempt
    comment: There are no parameters.
  entity-unavailable: todo
  integration-owner: done
  log-when-unavailable: todo
  parallel-updates: done
  reauthentication-flow:
    status: exempt
    comment: The integration does not require authentication.
  test-coverage: todo

  # Gold
  devices: done
  diagnostics: todo
  discovery-update-info: done
  discovery: done
  docs-data-update: todo
  docs-examples: todo
  docs-known-limitations: todo
  docs-supported-devices: todo
  docs-supported-functions: done
  docs-troubleshooting: todo
  docs-use-cases: todo
  dynamic-devices: done
  entity-category: done
  entity-device-class: done
  entity-disabled-by-default: done
  entity-translations:
    status: exempt
    comment: The integration uses the name of what the user configured in the closed system.
  exception-translations: todo
  icon-translations:
    status: exempt
    comment: The integration creates unknown number of entities based on what is in the closed system and does not know what each entity stands for.
  reconfiguration-flow:
    status: exempt
    comment: The integration has no settings.
  repair-issues: todo
  stale-devices: todo

  # Platinum
  async-dependency: done
  inject-websession:
    status: exempt
    comment: The integration does not make HTTP requests.
  strict-typing: done
